package com.bonus.canteen.core.supply.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel
public class AndroidIntoDetailPageVO implements Serializable {
   @ApiModelProperty("入库详情id")
   private Long detailId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("原料名称")
   private String materialName;
   @ApiModelProperty("进价")
   private Integer unitPrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("计划数量")
   private BigDecimal planNum;
   @ApiModelProperty("入库数量")
   private BigDecimal purNum;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("生产日期")
   private LocalDate productDate;
   @ApiModelProperty("保质期截止日期")
   private LocalDate expireTime;
   @ApiModelProperty("入库原料照片")
   private String materialUrl;
   @ApiModelProperty("采购明细id")
   private Long planDetailId;
   @ApiModelProperty("明细入库状态(1已入库，2未入库，3部分入库)")
   private Integer intoStatus;

   public String getMaterialUrl() {
      return SysUtil.getCutFileUrl(this.materialUrl);
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getIntoId() {
      return this.intoId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public BigDecimal getPlanNum() {
      return this.planNum;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public LocalDate getProductDate() {
      return this.productDate;
   }

   public LocalDate getExpireTime() {
      return this.expireTime;
   }

   public Long getPlanDetailId() {
      return this.planDetailId;
   }

   public Integer getIntoStatus() {
      return this.intoStatus;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setPlanNum(final BigDecimal planNum) {
      this.planNum = planNum;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setProductDate(final LocalDate productDate) {
      this.productDate = productDate;
   }

   public void setExpireTime(final LocalDate expireTime) {
      this.expireTime = expireTime;
   }

   public void setMaterialUrl(final String materialUrl) {
      this.materialUrl = materialUrl;
   }

   public void setPlanDetailId(final Long planDetailId) {
      this.planDetailId = planDetailId;
   }

   public void setIntoStatus(final Integer intoStatus) {
      this.intoStatus = intoStatus;
   }


   public String toString() {
      Long var10000 = this.getDetailId();
      return "AndroidIntoDetailPageVO(detailId=" + var10000 + ", materialId=" + this.getMaterialId() + ", intoId=" + this.getIntoId() + ", materialName=" + this.getMaterialName() + ", unitPrice=" + this.getUnitPrice() + ", totalPrice=" + this.getTotalPrice() + ", planNum=" + String.valueOf(this.getPlanNum()) + ", purNum=" + String.valueOf(this.getPurNum()) + ", unitId=" + this.getUnitId() + ", unitName=" + this.getUnitName() + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", productDate=" + String.valueOf(this.getProductDate()) + ", expireTime=" + String.valueOf(this.getExpireTime()) + ", materialUrl=" + this.getMaterialUrl() + ", planDetailId=" + this.getPlanDetailId() + ", intoStatus=" + this.getIntoStatus() + ")";
   }
}
